Bug 44195 - First row of data added to XYDiagram is interpretted as Y-Values rather than X-Values
Summary: First row of data added to XYDiagram is interpretted as Y-Values rather than ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 50527 (view as bug list)
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2011-12-27 12:31 UTC by Toby
Modified: 2018-10-08 22:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice Basic macro which creates a new XYDiagram chart and sets the data series (727 bytes, application/octet-stream)
2011-12-27 12:31 UTC, Toby
Details
Sample Document with screenshot (39.28 KB, application/vnd.oasis.opendocument.text)
2012-06-03 00:11 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toby 2011-12-27 12:31:25 UTC
Created attachment 54869 [details]
LibreOffice Basic macro which creates a new XYDiagram chart and sets the data series

An embedded chart object of type XYDiagram is created in a Writer Document.
Data is set using XChartDataArray.getData and setData.
According to documentation: "If used for an XYDiagram, the row number 0 represents the x-values."

This works for OpenOffice 3.2 - The first row of data  (row zero) is used for the X-Data series

But in LibreOffice 3.4.3, the first row becomes a Y-value series, and the second row becomes a second Y-value series. 

An attachment contains the basic code to reproduce this result.  The same result occurs when using Java. 


Please provide a bug fix or a workaround, or explain the proper way of doing this - this is crippling a plugin I am developing, when my users use with LibreOffice 3.4
Comment 1 Rainer Bielefeld Retired 2012-06-03 00:11:30 UTC
Created attachment 62432 [details]
Sample Document with screenshot

Seems to be [Reproducible] with "LibreOffice 3.5.4.2  English UI/ German Locale [Build-ID: 165a79a-7059095-e13bb37-fef39a4-9503d18] on German WIN7 Home Premium (64bit).

I am pretty sure that this one is related to "Bug 50527 - OLE Chart Creation with missing x-values-column"

Attached sample document compares macro result in 3.3 and 3.5

@Toby
Your hint "in documentation" is very vague. Can you please add some concrete information how to find help text so that someone like me without basic knowledge can find Help?
What do you think about relation to Bug 50527?
Comment 2 Florian Reisinger 2012-06-03 00:31:22 UTC
IMHO my bug ( #50527) is a duplicate of this or vice versa....
Comment 3 QA Administrators 2015-01-05 17:51:59 UTC Comment hidden (obsolete)
Comment 4 Florian Reisinger 2015-01-28 19:01:10 UTC
*** Bug 50527 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2016-02-21 08:36:47 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 15:37:31 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306